Subject: [Lsr] Clarification on RFC 7794

From: Shraddha Hegde <[email-masked]>
Date: Thu, 18 Nov 2021 08:37:09 +0000

WG,

I am looking for clarification on below text in RFC 7794 sec 2.2

"Note that the Router ID advertised is always the Router ID of the

   IS-IS instance that originated the advertisement.  This would be true

   even if the prefix had been learned from another protocol (i.e., with

   the X-flag set as defined in Section 2.1<https://datatracker.ietf.org/doc/html/rfc7794#section-2.1>)"

If a router is re-distributing a prefix from another ISIS instance it would put the source router-id of the
Originating router. If the prefix is being redistributed from another protocol (say OSPF) the source router-id of the
Prefix would be set to the router-id of the redistributing router. Is this the correct interpretation?

Rgds
Shraddha

Juniper Business Use Only

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 18 Nov 2021 15:05:30 +0000

Shraddha -

In the case you mention (redistribution from another protocol), the advertised router-id would be the ID of the originating router in the source protocol for redistribution.
In your example, this ID would come from OSPF. However, the term "router-id" means something different in OSPF. The corresponding identifier would come from the OSPF "Router Address TLV" defined in RFC 3630.

I am trying to be precise here. I wasn't certain when you used the term "redistributing router" whether you were referring to the source protocol or the destination protocol for redistribution.

   Les

From: Lsr <[email-masked]> On Behalf Of Shraddha Hegde
Sent: Thursday, November 18, 2021 12:37 AM
To: [email-masked]
Subject: [Lsr] Clarification on RFC 7794

WG,

Rgds
Shraddha

---

From: Shraddha Hegde <[email-masked]>
Date: Fri, 19 Nov 2021 04:23:23 +0000

Les,

Thank you for the clarification.

Rgds
Shraddha

Juniper Business Use Only
From: Les Ginsberg (ginsberg) <ginsberg=[email-masked]>
Sent: Thursday, November 18, 2021 8:36 PM
To: Shraddha Hegde <[email-masked]>; [email-masked]
Subject: RE: Clarification on RFC 7794

[External Email. Be cautious of content]

Shraddha -

   Les

From: Lsr <[email-masked]<mailto:[email-masked]>> On Behalf Of Shraddha Hegde
Sent: Thursday, November 18, 2021 12:37 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [Lsr] Clarification on RFC 7794

WG,

   the X-flag set as defined in Section 2.1<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/html/rfc7794*section-2.1__;Iw!!NEt6yMaO-gk!TsPnm1bOgtMrsa_zhSpVlUmP8Gzlx5OYh6JYnHw9hS2XuHuZx-YXZcsM-Q7O46xQ$>)"

Rgds
Shraddha